{config, pkgs, ...}:

{
  imports = [ <home-manager/nixos> ];

  users.users.giulio = {
    description  = "Giulio De Pasquale";
    isNormalUser = true;
    shell = pkgs.zsh;
    extraGroups = [ "wheel" "docker" "networkmanager" ];
  };

  programs.zsh = {
    enableBashCompletion = true;
    enableCompletion = true;
  };

  home-manager.users.giulio = {
    imports = [ ./home ];
  };
}
